summaryrefslogtreecommitdiffstats
path: root/debian/sudo-ldap.init
diff options
context:
space:
mode:
Diffstat (limited to 'debian/sudo-ldap.init')
-rw-r--r--debian/sudo-ldap.init46
1 files changed, 46 insertions, 0 deletions
diff --git a/debian/sudo-ldap.init b/debian/sudo-ldap.init
new file mode 100644
index 0000000..b907b8a
--- /dev/null
+++ b/debian/sudo-ldap.init
@@ -0,0 +1,46 @@
+#! /bin/sh
+
+### BEGIN INIT INFO
+# Provides: sudo-ldap
+# Required-Start: $local_fs $remote_fs
+# Required-Stop:
+# X-Start-Before: rmnologin
+# Default-Start: 2 3 4 5
+# Default-Stop:
+# Short-Description: Provide limited super user privileges to specific users
+# Description: Provide limited super user privileges to specific users.
+### END INIT INFO
+
+. /lib/lsb/init-functions
+
+N=/etc/init.d/sudo-ldap
+
+set -e
+
+case "$1" in
+ start)
+ # make sure privileges don't persist across reboots
+ # if the /run/sudo directory doesn't exist, let's create it with the
+ # correct permissions and SELinux label
+ if ! [ -d /run/systemd/system ] ; then
+ if [ -d /run/sudo ]
+ then
+ find /run/sudo -exec touch -d @0 '{}' \;
+ else
+ mkdir /run/sudo /run/sudo/ts
+ chown root:root /run/sudo /run/sudo/ts
+ chmod 0711 /run/sudo
+ chmod 0700 /run/sudo/ts
+ [ -x /sbin/restorecon ] && /sbin/restorecon /run/sudo /run/sudo/ts
+ fi
+ fi
+ ;;
+ stop|reload|restart|force-reload|status)
+ ;;
+ *)
+ echo "Usage: $N {start|stop|restart|force-reload|status}" >&2
+ exit 1
+ ;;
+esac
+
+exit 0